=== hermit-at-3.8.1/src/target/armadillo-box-ws1/Makefile ===
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-$(CONFIG_IRQ_MX25)		+= vector.o
