=== hermit-at-3.8.1/src/target/armadillo-iotg-std/Makefile ===
#
# Copyright (c) 2014 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-$(CONFIG_IRQ_MX25)		+= vector.o
