=== hermit-at-3.8.1/src/target/armadillo2x0/Makefile ===
#
# Copyright (c) 2006 Atmark Techno, Inc.  All Rights Reserved.
#
EXTRA_CFLAGS += -DCONSOLE=0
obj-y += board.o
obj-y += boot.o
obj-y += mm.o
