=== hermit-at-3.8.1/src/target/armadillo3x0/Makefile ===
#
# Copyright (c) 2006 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-y += mm.o
obj-$(CONFIG_COMPACTFLASH_A3X0) += ide_a3x0.o
