=== hermit-at-3.8.1/src/target/armadillo5x0/Makefile ===
#
# src/target/armadillo5x0/Makefile
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

obj-y += board.o
obj-y += boot.o
obj-y += mm.o

obj-$(CONFIG_COMPACTFLASH_MX31)		+= ide_a5x0.o
