=== hermit-at-3.8.1/src/target/armadillo8x0/Makefile ===
#
# Copyright (c) 2011 Atmark Techno, Inc.  All Rights Reserved.
#

obj-$(CONFIG_PLATFORM_ARMADILLO800EVA) += board-armadillo800eva.o
obj-$(CONFIG_PLATFORM_ARMADILLO810) += board-armadillo810.o proc-at88sc.o
obj-$(CONFIG_PLATFORM_ARMADILLO840) += board-armadillo840.o proc-at88sc.o
obj-y += boot.o proc.o
obj-$(CONFIG_IRQ_RMA1)		+= vector.o
