=== hermit-at-3.8.1/src/target/armadillo9/Makefile ===
#
# Copyright (c) 2004 Atmark Techno, Inc.  All Rights Reserved.
#
EXTRA_CFLAGS += -DCONSOLE=0
obj-y += board.o
obj-y += boot.o
obj-y += mm.o
obj-$(CONFIG_COMPACTFLASH_EP93XX) += ide_a9.o
