=== hermit-at-3.8.1/src/target/command/Makefile ===
#
# Copyright (c) 2009 Atmark Techno, Inc.  All Rights Reserved.
#

#
# Standard commands
#
obj-$(CONFIG_CMD_DOWNLOAD)	+= download.o
obj-$(CONFIG_CMD_FROB)		+= frob.o peek.o poke.o quit.o
obj-$(CONFIG_CMD_HELP)		+= help.o
obj-$(CONFIG_CMD_JUMP)		+= jump.o
obj-$(CONFIG_CMD_MEDIUM)	+= medium.o
obj-$(CONFIG_CMD_UPLOAD)	+= upload.o
obj-$(CONFIG_CMD_VERSION)	+= version.o
obj-$(CONFIG_CMD_MEMMAP)	+= memmap.o
obj-$(CONFIG_CMD_BOOT)		+= linux.o

#
# Optional commands
#
obj-$(CONFIG_CMD_INFO)		+= info.o
obj-$(CONFIG_CMD_MAC)		+= mac.o
obj-$(CONFIG_CMD_MAP)		+= map.o
obj-$(CONFIG_CMD_MD5SUM)	+= md5.o md5sum.o
obj-$(CONFIG_CMD_PASSWD)	+= md5.o md5-crypt.o passwd.o
obj-$(CONFIG_CMD_SETBOOTDEVICE)	+= setbootdevice.o
obj-$(CONFIG_CMD_SETCLOCK)	+= setclock.o
obj-$(CONFIG_CMD_SETENV)	+= setenv.o
obj-$(CONFIG_CMD_SETPARAM)	+= param.o
obj-$(CONFIG_CMD_TFTPBOOT)	+= tftp_common.o tftpboot.o
obj-$(CONFIG_CMD_TFTPDL)	+= tftp_common.o tftpdl.o

#
# Optional functions
#
obj-$(CONFIG_FUNC_DHCPC)	+= dhcpc.o
