=== hermit-at-3.8.1/debian/changelog ===
hermit-at-3 (3.8.1) stable; urgency=medium

  * fixed undesired parameter erase bug
  * abws1: disable all consoles other than ttymxc1

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Wed, 16 Nov 2016 17:09:49 +0900

hermit-at-3 (3.8.0) stable; urgency=low

  * Add support for Armadillo-420

  [ Makoto Harada]
  * a4x0: change mtdparts
  * abws1: bug fix of "Disable configuration of ttymxc2, 3 and 4"
  * a4x0: disable FORCE_OFF of UART2 RS-232 Transceiver

 -- Hiroaki OHSAWA <ohsawa@atmark-techno.com>  Fri, 16 Oct 2015 18:05:48 +0900

hermit-at-3 (3.7.0) stable; urgency=low

  * A840: ATAG_MEM presents DRAM size info except the ACM region

 -- Hiroaki OHSAWA <ohsawa@atmark-techno.com>  Mon, 28 Sep 2015 15:56:42 +0900

hermit-at-3 (3.6.0) stable; urgency=medium

  * Add support for Armadillo-Box WS1

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Wed, 22 Jul 2015 20:55:43 +0900

hermit-at-3 (3.5.0) stable; urgency=low

  * Add support for Armadillo-IoTG-Std G2
  * Fixed pull-up/down setting on Armadillo-IoTG-Std
  * Not support the console other than ttymxc1 for Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Fri, 12 Jun 2015 17:58:24 +0900

hermit-at-3 (3.4.0) stable; urgency=medium

  [ Hiroaki OHSAWA ]
  * transition from at-3.2/at-3.3

  [ Yasushi SHOJI ]
  * new upstream release
  * Add a800 seriese 1GB DRAM support

 -- Yasushi SHOJI <yashi@atmark-techno.com>  Tue, 26 May 2015 21:06:03 +0900

hermit-at-3.3 (3.3.1) stable; urgency=low

  * Fixed pull-up/down setting on Armadillo-IoTG-Std
  * Add support for UART3 on Armadillo-IoTG-Std

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Mon, 26 Jan 2015 10:32:08 +0900

hermit-at-3.3 (3.3.0) stable; urgency=low

  * Fixed memory map on Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Sat, 6 Dec 2014 15:14:50 +0900

hermit-at-3.3 (3.3.0-rc2) stable; urgency=low

  * Add support for Armadillo-IoTG-Std

 -- Tetsuhisa KOSEKI <koseki@atmark-techno.com>  Tue, 2 Dec 2014 20:27:30 +0900

hermit-at-3.3 (3.3.0-rc1) stable; urgency=low

  * Add support for Armadillo-4x0

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Mon, 10 Nov 2014 14:05:30 +0900

hermit-at-3.2 (3.2.4) stable; urgency=low

  * Changed Armadillo-8x0 DBSC arbitration

 -- Daisuke Mizobuchi <mizo@atmark-techno.com>  Thu, 20 Dec 2013 14:21:14 +0900

hermit-at-3.2 (3.2.3) stable; urgency=low

  * Fixed pin definitions on Armadillo-840

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 3 Jul 2013 15:27:05 +0900

hermit-at-3.2 (3.2.2) stable; urgency=low

  * Fixed memory map on Armadillo-840
  * Changed to read-only at license/firmware regions on Armadillo-810/840

 -- Masahiro Nakai <nakai@atmark-techno.com>  Tue, 7 May 2013 18:50:45 +0900

hermit-at-3.2 (3.2.1) stable; urgency=low

  * Fixed DBGMD_EN_N state on Armadillo-810

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 27 Feb 2013 13:15:19 +0900

hermit-at-3.2 (3.2.0) stable; urgency=low

  * Added support for Armadillo-810 and Armadillo-840
  * Added password-lock mechanism
  * Added support for squashfs-root
  * Fixed ARM/THUMB interworking (for gcc-4.5 or later)

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 6 Feb 2013 15:31:50 +0900

hermit-at-3.1 (3.1.0) stable; urgency=low

  * Renamed bootloader binary from loader-armadillo8x0 to loader-armadillo800eva-mmcsd
  * Added support for I/D cache on ARMv7/RMA1
  * Fixed wrong Linux boot parameter (ATAG address) on ARM
  * Implemented TFTP retry mechanism

  * Affected binary files by this update:
        loader-armadillo800eva-mmcsd

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 11 Jun 2012 13:41:40 +0900

hermit-at-3.0 (3.0.0) stable; urgency=low

  * Add support for Armadillo-800EVA

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 21 Dec 2011 20:43:47 +0900

hermit-at (2.1.3) unstable; urgency=low

  * Add support for Armadillo-460

 -- Masahiro Nakai <nakai@atmark-techno.com>  Tue, 28 Jun 2011 15:37:18 +0900

hermit-at (2.1.2) unstable; urgency=low

  * Fixed zero power up wait period at SD boot time for Armadillo-400

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 18 Apr 2011 17:57:48 +0900

hermit-at (2.1.1) unstable; urgency=low

  * Fixed Armadillo-500 Erratum No.7
  * Fixed SD card detection bug on Armadillo-400
  * Fixed RAM detection bug on Armadillo-500
  * Add support for SDHC driver on Armadillo-500

 -- Masahiro Nakai <nakai@atmark-techno.com>  Thu, 24 Mar 2011 15:30:48 +0900

hermit-at (2.1.0) unstable; urgency=low

  * Adapted to new ethernet framework
  * Fixed erasing bug on hermit host
  * Add support for ERASE function on WIN32
  * Add support for COM10 or greater on WIN32

 -- Masahiro Nakai <nakai@atmark-techno.com>  Mon, 20 Dec 2010 20:14:48 +0900

hermit-at (2.0.8) unstable; urgency=low

  * ext2: fixed group description parsing for inode info retreival.
  * ext2: read just as much as we need when searching for kernel image.
  * sdhc: wait 80 clocks for initialization.  this fixed reboot failure.

 -- Masahiro Nakai <nakai@atmark-techno.com>  Fri, 12 Nov 2010 15:04:12 +0900

hermit-at (2.0.7) stable; urgency=low

  * fixed a brown paper bag bug of checking ip fragmentation check
  * make tftp layer to always wait for OACK when using the option "blksize"

 -- Masahiro Nakai <nakai@atmark-techno.com>  Wed, 13 Oct 2010 15:55:00 +0900

hermit-at (2.0.6) stable; urgency=low

  * fixed initializing UART for i.mx25
  * Changed to always set up Armadillo-4x0's STANDARD_CONSOLE

 -- Masahiro Nakai <nakai@atmark-techno.com>  Fri, 8 Oct 2010 14:03:00 +0900

hermit-at (2.0.5) stable; urgency=low

  * fixed an out of memory error which occurs when downloading a file via tftp.
    the file must be the same size as the given target region to trigger this
    bug.
  * implemented new tftp capability defined by RFC2347 and RFC2348.
  * code cleanup

 -- Masahiro Nakai <nakai@atmark-techno.com>  Thu, 16 Sep 2010 18:31:00 +0900

hermit-at (2.0.4) stable; urgency=low

  * Changed internal memory map for Armadillo-400

